<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.TenantAlbumRefMapper">

	 
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id_ AS id
        , t.tenant_id_ AS tenantId
        , t.tenant_album_id_ AS tenantAlbumId
        , t.update_time_ AS updateTime
        , t.create_time_ AS createTime
        </sql> 
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.entity.TenantAlbumRef">
		SELECT         
        	<include refid="baseColumns" />
		FROM tenant_album_ref t
	</select>
    <select id="selectByAlbumId" resultType="com.yonge.cooleshow.biz.dal.entity.TenantAlbumRef">
        select <include refid="baseColumns" />
        from tenant_album_ref
        where tenant_album_id_ = #{id}
    </select>

</mapper>